* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Open Sans", "Verdana", sans-serif;
}

:root {
    --primary: #A2572A;
    --secondary: #E6C28B;
    --light: #FFF6EB;
    --dark: #4A1E14;
}

body {
    background-image: url(../img/Fond\ login.jpg);
    background-position: center;
    background-size: cover;

    display: flex;
    flex-direction: column;
    align-items: center;

    min-height: 100vh;
}

header {
    background: var(--primary);
    color: white;
    padding: 1rem 0;
    position: sticky;
    top: 0;
    z-index: 100;
    width: 100%;

    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.3);
}

.header-container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    margin: 0 auto;
    padding: 0 2rem;
}


.back {
    position: absolute;
    left: 2rem;
    display: flex;
    align-items: center;
}

.back a {
    font-size: 2rem;
    text-decoration: none;
    color: white;
    transition: 0.2s;
}

.back a:hover {
    font-size: 2.5rem;
}

.logo {
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}

.logo a {
    text-decoration: none;
    color: white;
}

.logo i {
    font-size: 2rem;
}

.logo a h1 {
    font-size: 1.8rem;
    font-weight: normal;
}

section {
    background-color: transparent;
    border: 2px solid rgba(255,255,255,0.2);
    backdrop-filter: blur(20px);
    padding: 30px;
    width: 420px;
    border-radius: 20px;
    margin-top: 80px;
}

section h1 {
    font-size: 30px;
    text-align: center;
    color: white;
    margin-bottom: 20px;
}

.input-box {
    width: 100%;
    position: relative;
    margin-bottom: 25px;
}

.input-box input {
    width: 100%;
    padding: 15px;
    border-radius: 25px;
    outline: none;
    background-color: transparent;
    border: 2px solid rgba(255,255,255,0.2);
    color: white;
    padding-right: 40px;
}

.input-box input::placeholder {
    color: white;
}

.input-box i {
    position: absolute;
    transform: translateY(-50%);
    right: 20px;
    top: 50%;
    color: white;
}

.login-btn {
    width: 100%;
    padding: 15px;
    border-radius: 25px;
    outline: none;
    border: 0;
    font-weight: bold;
    cursor: pointer;
    border: 2px solid transparent;
    transition: 0.5s;
}

.login-btn:hover {
    background-color: transparent;
    border: 2px solid rgba(255,255,255,0.2);
    color: white;
}

.register-link {
    text-align: center;
    margin-top: 25px;
    color: white;
    font-size: 14px;
}

.register-link a {
    color: white;
    text-decoration: none;
    transition: 0.5s;
    font-weight: bold;
}

.register-link a:hover {
    text-decoration: underline;
}